var-imp.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::IntVarImpBase
| Base-class for Int-variable implementations. More...
class | Gecode::Int::BoolVarImpBase
| Base-class for Bool-variable implementations. More...
class | Gecode::Set::SetVarImpBase
| Base-class for Set-variable implementations. More...
class | Gecode::Float::FloatVarImpBase
| Base-class for Float-variable implementations. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Set
| Finite integer sets.
namespace | Gecode::Float
| Floating point numbers.